package me.wazup.hideandseek.events;

import me.wazup.hideandseek.Arena;
import org.bukkit.entity.Player;
import org.bukkit.event.HandlerList;
import org.bukkit.event.Event;

public class HASPlayerLeaveEvent extends Event
{
    private static final HandlerList handlers;
    Player p;
    Arena arena;
    
    public HASPlayerLeaveEvent(final Player p2, final Arena arena) {
        this.p = p2;
        this.arena = arena;
    }
    
    public static HandlerList getHandlerList() {
        return HASPlayerLeaveEvent.handlers;
    }
    
    public HandlerList getHandlers() {
        return HASPlayerLeaveEvent.handlers;
    }
    
    public Player getPlayer() {
        return this.p;
    }
    
    public Arena getArena() {
        return this.arena;
    }
    
    static {
        handlers = new HandlerList();
    }
}
